## yt-dlp 2021.12.01

=== Makefile ===
all: lazy-extractors yt-dlp doc pypi-files
clean: clean-test clean-dist clean-cache
completions: completion-bash completion-fish completion-zsh
doc: README.md CONTRIBUTING.md issuetemplates supportedsites
ot: offlinetest
tar: yt-dlp.tar.gz

# Keep this list in sync with MANIFEST.in
# intended use: when building a source distribution,
# make pypi-files && python setup.py sdist
pypi-files: AUTHORS Changelog.md LICENSE README.md README.txt supportedsites completions yt-dlp.1 devscripts/* test/*

.PHONY: all clean install test tar pypi-files completions ot offlinetest codetest supportedsites

clean-test:
	rm -rf *.3gp *.annotations.xml *.ape *.avi *.description *.dump *.flac *.flv *.frag *.frag.aria2 *.frag.urls \
	*.info.json *.jpeg *.jpg *.live_chat.json *.m4a *.m4v *.mkv *.mp3 *.mp4 *.ogg *.opus *.part* *.png *.sbv *.srt \
	*.swf *.swp *.ttml *.vtt *.wav *.webm *.webp *.mhtml *.mov *.unknown_video *.desktop *.url *.webloc *.ytdl \
	test/testdata/player-*.js tmp/
clean-dist:
	rm -rf yt-dlp.1.temp.md yt-dlp.1 README.txt MANIFEST build/ dist/ .coverage cover/ yt-dlp.tar.gz completions/ \
	yt_dlp/extractor/lazy_extractors.py *.spec CONTRIBUTING.md.tmp yt-dlp yt-dlp.exe yt_dlp.egg-info/ AUTHORS .mailmap
clean-cache:
	find . -name "*.pyc" -o -name "*.class" -delete

completion-bash: completions/bash/yt-dlp
completion-fish: completions/fish/yt-dlp.fish
completion-zsh: completions/zsh/_yt-dlp
lazy-extractors: yt_dlp/extractor/lazy_extractors.py

PREFIX ?= /usr/local
DESTDIR ?= .
BINDIR ?= $(PREFIX)/bin
MANDIR ?= $(PREFIX)/man
SHAREDIR ?= $(PREFIX)/share
PYTHON ?= /usr/bin/env python3

# set SYSCONFDIR to /etc if PREFIX=/usr or PREFIX=/usr/local
SYSCONFDIR = $(shell if [ $(PREFIX) = /usr -o $(PREFIX) = /usr/local ]; then echo /etc; else echo $(PREFIX)/etc; fi)

# set markdown input format to "markdown-smart" for pandoc version 2 and to "markdown" for pandoc prior to version 2
MARKDOWN = $(shell if [ `pandoc -v | head -n1 | cut -d" " -f2 | head -c1` = "2" ]; then echo markdown-smart; else echo markdown; fi)

install: lazy-extractors yt-dlp yt-dlp.1 completions
	install -Dm755 yt-dlp $(DESTDIR)$(BINDIR)/yt-dlp
	install -Dm644 yt-dlp.1 $(DESTDIR)$(MANDIR)/man1/yt-dlp.1
	install -Dm644 completions/bash/yt-dlp $(DESTDIR)$(SHAREDIR)/bash-completion/completions/yt-dlp
	install -Dm644 completions/zsh/_yt-dlp $(DESTDIR)$(SHAREDIR)/zsh/site-functions/_yt-dlp
	install -Dm644 completions/fish/yt-dlp.fish $(DESTDIR)$(SHAREDIR)/fish/vendor_completions.d/yt-dlp.fish

codetest:
	flake8 .

test:
	$(PYTHON) -m pytest
	$(MAKE) codetest

offlinetest: codetest
	$(PYTHON) -m pytest -k "not download"

yt-dlp: yt_dlp/*.py yt_dlp/*/*.py
	mkdir -p zip
	for d in yt_dlp yt_dlp/downloader yt_dlp/extractor yt_dlp/postprocessor ; do \
	  mkdir -p zip/$$d ;\
	  cp -pPR $$d/*.py zip/$$d/ ;\
	done
	touch -t 200001010101 zip/yt_dlp/*.py zip/yt_dlp/*/*.py
	mv zip/yt_dlp/__main__.py zip/
	cd zip ; zip -q ../yt-dlp yt_dlp/*.py yt_dlp/*/*.py __main__.py
	rm -rf zip
	echo '#!$(PYTHON)' > yt-dlp
	cat yt-dlp.zip >> yt-dlp
	rm yt-dlp.zip
	chmod a+x yt-dlp

README.md: yt_dlp/*.py yt_dlp/*/*.py
	COLUMNS=80 $(PYTHON) yt_dlp/__main__.py --help | $(PYTHON) devscripts/make_readme.py

CONTRIBUTING.md: README.md
	$(PYTHON) devscripts/make_contributing.py README.md CONTRIBUTING.md

issuetemplates: devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/1_broken_site.yml .github/ISSUE_TEMPLATE_tmpl/2_site_support_request.yml .github/ISSUE_TEMPLATE_tmpl/3_site_feature_request.yml .github/ISSUE_TEMPLATE_tmpl/4_bug_report.yml .github/ISSUE_TEMPLATE_tmpl/5_feature_request.yml yt_dlp/version.py
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/1_broken_site.yml .github/ISSUE_TEMPLATE/1_broken_site.yml
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/2_site_support_request.yml .github/ISSUE_TEMPLATE/2_site_support_request.yml
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/3_site_feature_request.yml .github/ISSUE_TEMPLATE/3_site_feature_request.yml
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/4_bug_report.yml .github/ISSUE_TEMPLATE/4_bug_report.yml
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/5_feature_request.yml .github/ISSUE_TEMPLATE/5_feature_request.yml
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/6_question.yml .github/ISSUE_TEMPLATE/6_question.yml

supportedsites:
	$(PYTHON) devscripts/make_supportedsites.py supportedsites.md

README.txt: README.md
	pandoc -f $(MARKDOWN) -t plain README.md -o README.txt

yt-dlp.1: README.md
	$(PYTHON) devscripts/prepare_manpage.py yt-dlp.1.temp.md
	pandoc -s -f $(MARKDOWN) -t man yt-dlp.1.temp.md -o yt-dlp.1
	rm -f yt-dlp.1.temp.md

completions/bash/yt-dlp: yt_dlp/*.py yt_dlp/*/*.py devscripts/bash-completion.in
	mkdir -p completions/bash
	$(PYTHON) devscripts/bash-completion.py

completions/zsh/_yt-dlp: yt_dlp/*.py yt_dlp/*/*.py devscripts/zsh-completion.in
	mkdir -p completions/zsh
	$(PYTHON) devscripts/zsh-completion.py

completions/fish/yt-dlp.fish: yt_dlp/*.py yt_dlp/*/*.py devscripts/fish-completion.in
	mkdir -p completions/fish
	$(PYTHON) devscripts/fish-completion.py

_EXTRACTOR_FILES = $(shell find yt_dlp/extractor -iname '*.py' -and -not -iname 'lazy_extractors.py')
yt_dlp/extractor/lazy_extractors.py: devscripts/make_lazy_extractors.py devscripts/lazy_load_template.py $(_EXTRACTOR_FILES)
	$(PYTHON) devscripts/make_lazy_extractors.py $@

yt-dlp.tar.gz: all
	@tar -czf $(DESTDIR)/yt-dlp.tar.gz --transform "s|^|yt-dlp/|" --owner 0 --group 0 \
		--exclude '*.DS_Store' \
		--exclude '*.kate-swp' \
		--exclude '*.pyc' \
		--exclude '*.pyo' \
		--exclude '*~' \
		--exclude '__pycache__' \
		--exclude '.git' \
		-- \
		README.md supportedsites.md Changelog.md LICENSE \
		CONTRIBUTING.md Collaborators.md CONTRIBUTORS AUTHORS \
		Makefile MANIFEST.in yt-dlp.1 README.txt completions \
		setup.py setup.cfg yt-dlp yt_dlp requirements.txt \
		devscripts test tox.ini pytest.ini

AUTHORS: .mailmap
	git shortlog -s -n | cut -f2 | sort > AUTHORS

.mailmap:
	git shortlog -s -e -n | awk '!(out[$$NF]++) { $$1="";sub(/^[ \t]+/,""); print}' > .mailmap

=== debian/changelog ===
yt-dlp (2021.12.01-0.1~mx21+1) mx; urgency=medium

  * Refresh patches.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 02 Dec 2021 15:19:29 -0800

=== debian/control ===
Source: yt-dlp
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Unit 193 <unit193@unit193.net>
Section: web
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-exec,
               dh-python,
               flake8 <!nocheck>,
               pandoc,
               python3-pkg-resources,
               python3-pycryptodome,
               python3-pytest <!nocheck>,
               python3-setuptools,
               zip
Build-Depends-Indep: python3
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://github.com/yt-dlp/yt-dlp

Package: yt-dlp
Architecture: all
Depends: aria2 | wget | curl,
         ca-certificates,
         ffmpeg,
         python3-pkg-resources,
         python3-pycryptodome,
         python3-pyxattr,
         rtmpdump,
         ${misc:Depends},
         ${python3:Depends}
Recommends: mpv | mplayer
Suggests: libfribidi-bin | bidiv, phantomjs
Provides: youtube-dl
Replaces: youtube-dl
Breaks: youtube-dl
Description: downloader of videos from YouTube and other sites
 yt-dlp is a youtube-dl fork based on the now inactive youtube-dlc.
 The main focus of this project is adding new features and patches
 while also keeping up to date with the original project.
 .
 yt-dlp is a small command-line program to download videos from
 YouTube.com and other sites that don't provide direct links to the
 videos served.
 .
 yt-dlp allows the user, among other things, to choose a specific video
 quality to download (if available) or let the program automatically
 determine the best (or worst) quality video to grab. It supports
 downloading entire playlists and all videos from a given user.
 .
 Currently supported sites (or features of sites) are:
 .
 17live,
 1tv,
 20min,
 220.ro,
 23video,
 247sports,
 24video,
 3qsdn,
 3sat,
 4tube,
 56.com,
 5min,
 6play,
 7plus,
 8tracks,
 91porn,
 9c9media,
 9gag,
 9now.com.au,
 abc.net.au,
 abcnews,
 abcotvs,
 acast,
 ADN,
 AdobeConnect,
 adobetv,
 AdultSwim,
 aenetworks,
 afreecatv,
 AirMozilla,
 AliExpressLive,
 AlJazeera,
 Allocine,
 AlphaPorno,
 Alura,
 AluraCourse,
 Amara,
 AmazonStore,
 AMCNetworks,
 AmericasTestKitchen,
 AmericasTestKitchenSeason,
 anderetijden,
 AnimalPlanet,
 AnimeLab,
 AnimeLabShows,
 AnimeOnDemand,
 Anvato,
 aol.com,
 APA,
 Aparat,
 AppleConnect,
 AppleDaily,
 ApplePodcasts,
 appletrailers,
 archive.org,
 ArcPublishing,
 ARD,
 ARDBetaMediathek,
 Arkena,
 arte.sky.it,
 ArteTV,
 ArteTVEmbed,
 ArteTVPlaylist,
 AsianCrush,
 AsianCrushPlaylist,
 AtresPlayer,
 ATTTechChannel,
 ATVAt,
 AudiMedia,
 AudioBoom,
 audiomack,
 Audius,
 AWAAN,
 AZMedien,
 BaiduVideo,
 bandaichannel,
 Bandcamp,
 BandcampMusic,
 bangumi.bilibili.com,
 BannedVideo,
 bbc,
 bbc.co.uk,
 BBVTV,
 Beatport,
 Beeg,
 BehindKink,
 Bellator,
 BellMedia,
 Bet,
 bfmtv,
 BibelTV,
 Bigflix,
 Bild,
 BiliBili,
 Bilibili category extractor,
 BilibiliAudio,
 BilibiliAudioAlbum,
 BilibiliChannel,
 BiliBiliPlayer,
 BiliBiliSearch,
 BiliIntl,
 BiliIntlSeries,
 BioBioChileTV,
 Biography,
 BIQLE,
 BitChute,
 BitChuteChannel,
 BlackboardCollaborate,
 BleacherReport,
 BleacherReportCMS,
 Bloomberg,
 BokeCC,
 BongaCams,
 BostonGlobe,
 Box,
 Bpb,
 BR,
 BravoTV,
 Break,
 BRMediathek,
 BusinessInsider,
 BuzzFeed,
 BYUtv,
 CAM4,
 Camdemy,
 CamdemyFolder,
 CamModels,
 CamWithHer,
 canalc2.tv,
 Canalplus,
 Canvas,
 CanvasEen,
 CarambaTV,
 CarambaTVPage,
 CartoonNetwork,
 cbc.ca,
 CBS,
 CBSInteractive,
 CBSLocal,
 CBSLocalArticle,
 cbsnews,
 cbssports,
 CCMA,
 CCTV,
 CDA,
 CeskaTelevize,
 CGTN,
 channel9,
 CharlieRose,
 Chaturbate,
 Chilloutzone,
 Chingari,
 ChingariUser,
 chirbit,
 cielotv.it,
 Cinchcast,
 Cinemax,
 CiscoLiveSearch,
 CiscoLiveSession,
 ciscowebex,
 CJSW,
 cliphunter,
 Clippit,
 ClipRs,
 Clipsyndicate,
 CloserToTruth,
 CloudflareStream,
 Cloudy,
 Clubic,
 Clyp,
 cmt.com,
 CNBC,
 CNBCVideo,
 CNN,
 CNNArticle,
 CNNBlogs,
 ComedyCentral,
 ComedyCentralTV,
 CondeNast,
 CONtv,
 Corus,
 Coub,
 Cracked,
 Crackle,
 CrooksAndLiars,
 crunchyroll,
 CSpan,
 CtsNews,
 CTV,
 CTVNews,
 cu.ntv.co.jp,
 CultureUnplugged,
 curiositystream,
 CWTV,
 DagelijkseKost,
 DailyMail,
 dailymotion,
 daum.net,
 DBTV,
 DctpTv,
 DeezerAlbum,
 DeezerPlaylist,
 defense.gouv.fr,
 democracynow,
 DHM,
 Digg,
 DigitallySpeaking,
 Digiteka,
 Discovery,
 DiscoveryGo,
 DiscoveryGoPlaylist,
 DiscoveryNetworksDe,
 DiscoveryPlus,
 DiscoveryPlusIndia,
 DiscoveryPlusIndiaShow,
 DiscoveryVR,
 Disney,
 DIYNetwork,
 DoodStream,
 Dotsub,
 Douyin,
 DouyuShow,
 DouyuTV,
 DPlay,
 DRBonanza,
 Dropbox,
 DrTuber,
 drtv,
 DTube,
 duboku,
 Dumpert,
 dvtv,
 dw,
 EaglePlatform,
 EbaumsWorld,
 EchoMsk,
 ehftv,
 eHow,
 EinsUndEinsTV,
 Einthusan,
 eitb.tv,
 EllenTube,
 EllenTubePlaylist,
 EllenTubeVideo,
 Elonet,
 ElPais,
 Embedly,
 EMPFlix,
 Engadget,
 Epicon,
 EpiconSeries,
 Eporner,
 EroProfile,
 Escapist,
 ESPN,
 ESPNArticle,
 EsriVideo,
 Europa,
 EUScreen,
 EWETV,
 ExpoTV,
 Expressen,
 ExtremeTube,
 EyedoTV,
 facebook,
 FacebookPluginsVideo,
 faz.net,
 fc2,
 Fczenit,
 Filmmodu,
 filmon,
 Filmweb,
 FiveThirtyEight,
 FiveTV,
 Flickr,
 Folketinget,
 FootyRoom,
 Formula1,
 FOX,
 FOX9,
 FOX9News,
 Foxgay,
 foxnews,
 FoxSports,
 FranceCulture,
 FranceInter,
 FranceTV,
 francetvinfo.fr,
 FranceTVSite,
 Freesound,
 freespeech.org,
 FreshLive,
 FrontendMasters,
 FrontendMastersCourse,
 FrontendMastersLesson,
 FujiTVFODPlus7,
 Funimation,
 Funk,
 Fusion,
 Fux,
 Gab,
 GabTV,
 Gaia,
 GameInformer,
 GameSpot,
 GameStar,
 Gaskrank,
 Gazeta,
 GDCVault,
 GediDigital,
 gem.cbc.ca,
 generic,
 Gettr,
 Gfycat,
 GiantBomb,
 Giga,
 GlattvisionTV,
 Glide,
 Globo,
 GloboArticle,
 Go,
 GodTube,
 Golem,
 GoogleDrive,
 GoPro,
 Goshgay,
 GoToStage,
 GPUTechConf,
 Gronkh,
 Groupon,
 hbo,
 HearThisAt,
 Heise,
 HellPorno,
 Helsinki,
 HentaiStigma,
 hetklokhuis,
 HGTVDe,
 HiDive,
 HistoricFilms,
 hitbox,
 HitRecord,
 hketv,
 HornBunny,
 HotNewHipHop,
 hotstar,
 Howcast,
 HowStuffWorks,
 hrfernsehen,
 HRTi,
 HRTiPlaylist,
 Huajiao,
 HuffPost,
 Hungama,
 HungamaAlbumPlaylist,
 HungamaSong,
 Hypem,
 ign.com,
 IGNArticle,
 IGNVideo,
 IHeartRadio,
 imdb,
 Imgur,
 Ina,
 Inc,
 IndavideoEmbed,
 InfoQ,
 Instagram,
 InstagramIOS,
 Internazionale,
 InternetVideoArchive,
 IPrima,
 IPrimaCNN,
 iqiyi,
 Ir90Tv,
 ITTF,
 ITV,
 ITVBTCC,
 ivi,
 ivideon,
 Iwara,
 Izlesene,
 Jamendo,
 JamendoAlbum,
 JeuxVideo,
 Joj,
 Jove,
 JWPlatform,
 Kakao,
 Kaltura,
 Kankan,
 Karaoketv,
 KarriereVideos,
 Katsomo,
 KeezMovies,
 Ketnet,
 khanacademy,
 KickStarter,
 KinjaEmbed,
 KinoPoisk,
 KonserthusetPlay,
 Koo,
 KrasView,
 Ku6,
 KUSI,
 la7.it,
 laola1tv,
 lbry,
 LCI,
 Lcp,
 LcpPlay,
 Le,
 Lecture2Go,
 Lecturio,
 LecturioCourse,
 LecturioDeCourse,
 LEGO,
 Lemonde,
 Lenta,
 LePlaylist,
 LetvCloud,
 Libsyn,
 life,
 limelight,
 LineLive,
 LineLiveChannel,
 LineTV,
 LinuxAcademy,
 LiTV,
 LiveJournal,
 livestream,
 LnkGo,
 loc,
 LocalNews8,
 LoveHomePorn,
 lrt.lt,
 lynda,
 m6,
 MagentaMusik360,
 mailru,
 MallTV,
 ManotoTV,
 ManotoTVLive,
 ManotoTVShow,
 ManyVids,
 MaoriTV,
 Markiza,
 MarkizaPage,
 massengeschmack.tv,
 MatchTV,
 MDR,
 MedalTV,
 media.ccc.de,
 Mediaite,
 MediaKlikk,
 Medialaan,
 Mediaset,
 MediasetShow,
 Mediasite,
 MediasiteCatalog,
 MediasiteNamedCatalog,
 Medici,
 megaphone.fm,
 Meipai,
 MelonVOD,
 META,
 metacafe,
 Metacritic,
 mewatch,
 Mgoon,
 MGTV,
 MiaoPai,
 microsoftstream,
 mildom,
 minds,
 MinistryGrid,
 Minoto,
 miomio.tv,
 mirrativ,
 MiTele,
 mixcloud,
 MLB,
 MLBVideo,
 MLSSoccer,
 Mnet,
 MNetTV,
 MoeVideo,
 Mofosex,
 MofosexEmbed,
 Mojvideo,
 Morningstar,
 Motherless,
 MotherlessGroup,
 Motorsport,
 MovieClips,
 MovieFap,
 Moviezine,
 MovingImage,
 MSN,
 mtg,
 mtv,
 mtv.de,
 mtv.it,
 mtvjapan,
 MTVUutisetArticle,
 MuenchenTV,
 MuseScore,
 mva,
 Mwave,
 MwaveMeetGreet,
 Mxplayer,
 MxplayerShow,
 MyChannels,
 MySpace,
 MySpass,
 Myvi,
 MyVideoGe,
 MyVidster,
 MyviEmbed,
 MyVisionTV,
 n-tv.de,
 N1InfoAsset,
 NationalGeographicTV,
 Naver,
 NBA,
 NBAChannel,
 NBAEmbed,
 NBAWatchEmbed,
 NBC,
 NBCNews,
 nbcolympics,
 NBCSports,
 NBCSportsStream,
 NBCSportsVPlayer,
 ndr,
 NDTV,
 Nebula,
 NerdCubedFeed,
 NetPlus,
 Netzkino,
 Newgrounds,
 Newstube,
 NextMedia,
 NextMediaActionNews,
 NextTV,
 Nexx,
 NexxEmbed,
 NFHSNetwork,
 nfl.com,
 NhkVod,
 NhkVodProgram,
 nhl.com,
 nick.com,
 nick.de,
 nickelodeonru,
 nicknight,
 niconico,
 NiconicoPlaylist,
 NiconicoUser,
 Nintendo,
 Nitter,
 njoy,
 NJPWWorld,
 NobelPrize,
 NonkTube,
 Noovo,
 Normalboots,
 NosVideo,
 Nova,
 NovaEmbed,
 NovaPlay,
 nowness,
 Noz,
 npo,
 Npr,
 NRK,
 NRKPlaylist,
 NRKRadioPodkast,
 NRKSkole,
 NRKTV,
 NRKTVDirekte,
 NRKTVEpisode,
 NRKTVEpisodes,
 NRKTVSeason,
 NRKTVSeries,
 NRLTV,
 ntv.ru,
 Nuvid,
 NYTimes,
 NYTimesArticle,
 NYTimesCooking,
 nzherald,
 NZZ,
 ocw.mit.edu,
 OdaTV,
 Odnoklassniki,
 OktoberfestTV,
 OlympicsReplay,
 on24,
 OnDemandKorea,
 onet.pl,
 onet.tv,
 OnetMVP,
 OnionStudios,
 Ooyala,
 OoyalaExternal,
 openrec,
 OraTV,
 OsnatelTV,
 OutsideTV,
 PacktPub,
 PacktPubCourse,
 pandora.tv,
 ParamountNetwork,
 ParamountPlus,
 ParamountPlusSeries,
 parliamentlive.tv,
 Parlview,
 Patreon,
 PatreonUser,
 pbs,
 PearVideo,
 PeerTube,
 peloton,
 People,
 PerformGroup,
 periscope,
 PhilharmonieDeParis,
 phoenix.de,
 Photobucket,
 Picarto,
 PicartoVod,
 Piksel,
 Pinkbike,
 Pinterest,
 PinterestCollection,
 Pladform,
 PlanetMarathi,
 Platzi,
 PlatziCourse,
 play.fm,
 player.sky.it,
 PlayPlusTV,
 PlayStuff,
 PlaysTV,
 Playtvak,
 Playvid,
 Playwire,
 pluralsight,
 PlutoTV,
 podomatic,
 Pokemon,
 PokemonWatch,
 PolsatGo,
 PolskieRadio,
 PolskieRadioCategory,
 Popcorntimes,
 PopcornTV,
 PornCom,
 PornerBros,
 PornFlip,
 PornHd,
 PornHub,
 PornHubPagedVideoList,
 PornHubPlaylist,
 PornHubUser,
 PornHubUserVideosUpload,
 Pornotube,
 PornoVoisines,
 PornoXO,
 PornTube,
 PressTV,
 ProjectVeritas,
 prosiebensat1,
 puhutv,
 Puls4,
 Pyvideo,
 qqmusic,
 QuantumTV,
 Qub,
 Quickline,
 QuicklineLive,
 R7,
 R7Article,
 Radiko,
 RadikoRadio,
 radio.de,
 radiobremen,
 radiocanada,
 radiofrance,
 RadioJavan,
 radiokapital,
 radlive,
 Rai,
 RaiPlay,
 RaiPlayLive,
 RaiPlayPlaylist,
 RaiPlayRadio,
 RaiPlayRadioPlaylist,
 RayWenderlich,
 RayWenderlichCourse,
 RBMARadio,
 RCS,
 RCSEmbeds,
 RCSVarious,
 RCTIPlus,
 RCTIPlusSeries,
 RCTIPlusTV,
 RDS,
 RedBull,
 RedBullEmbed,
 RedBullTV,
 RedBullTVRrnContent,
 Reddit,
 RedditR,
 RedTube,
 RegioTV,
 RENTV,
 RENTVArticle,
 Restudy,
 Reuters,
 ReverbNation,
 RICE,
 RMCDecouverte,
 RockstarGames,
 RoosterTeeth,
 RoosterTeethSeries,
 RottenTomatoes,
 Roxwel,
 Rozhlas,
 RTBF,
 rte,
 rtl.nl,
 rtl2,
 RTP,
 RTS,
 RTVNH,
 RTVS,
 RUHD,
 RumbleChannel,
 RumbleEmbed,
 rutube,
 RUTV,
 Ruutu,
 Ruv,
 safari,
 Saitosan,
 SAKTV,
 SaltTV,
 SampleFocus,
 Sapo,
 savefrom.net,
 SBS,
 schooltv,
 ScienceChannel,
 Screencast,
 ScreencastOMatic,
 ScrippsNetworks,
 SCTE,
 SCTECourse,
 Seeker,
 SenateISVP,
 SendtoNews,
 Servus,
 Sexu,
 SeznamZpravy,
 SeznamZpravyArticle,
 Shahid,
 ShahidShow,
 Shared,
 ShemarooMe,
 ShowRoomLive,
 simplecast,
 Sina,
 sky.it,
 skyacademy.it,
 SkylineWebcams,
 SkyNewsAU,
 Slideshare,
 SlidesLive,
 Slutload,
 Snotr,
 Sohu,
 SonyLIV,
 SonyLIVSeries,
 soundcloud,
 SoundcloudEmbed,
 soundgasm,
 southpark.cc.com,
 southpark.de,
 southpark.nl,
 southparkstudios.dk,
 SovietsCloset,
 SovietsClosetPlaylist,
 SpankBang,
 SpankBangPlaylist,
 Spankwire,
 Spiegel,
 Sport5,
 SportBox,
 SportDeutschland,
 spotify,
 Spreaker,
 SpreakerPage,
 SpreakerShow,
 SpreakerShowPage,
 SpringboardPlatform,
 Sprout,
 SRGSSR,
 SRGSSRPlay,
 stanfordoc,
 startv,
 Steam,
 Stitcher,
 StitcherShow,
 StoryFire,
 StoryFireSeries,
 StoryFireUser,
 Streamable,
 Streamanity,
 streamcloud.eu,
 StreamCZ,
 StreetVoice,
 StretchInternet,
 SunPorno,
 SVT,
 SVTPage,
 SVTPlay,
 SVTSeries,
 SWRMediathek,
 Syfy,
 SztvHu,
 t-online.de,
 Tagesschau,
 Tass,
 TBS,
 TDSLifeway,
 Teachable,
 TeachableCourse,
 teachertube,
 TeachingChannel,
 Teamcoco,
 TeamTreeHouse,
 TechTalks,
 techtv.mit.edu,
 ted,
 Tele13,
 Tele5,
 TeleBruxelles,
 Telecinco,
 Telegraaf,
 TeleMB,
 Telemundo,
 TeleQuebec,
 TeleQuebecEmission,
 TeleQuebecLive,
 TeleQuebecSquat,
 TeleQuebecVideo,

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export PYBUILD_NAME = yt_dlp
export PATH := $(CURDIR)/debian/utils:$(PATH)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_configure:
	PREFIX=/usr SYSCONFDIR=/etc make
	rm yt-dlp

override_dh_clean:
	make clean
	dh_clean CONTRIBUTING.md

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	make offlinetest PYTHON=python3
endif

basenum = $(shell sed -n '/Currently supported sites/=' debian/control)
generate_supported_sites:
	$(shell head -n +$$(expr $(basenum) + 1) debian/control > debian/control.new; \
	sed -n -e 's/.* \- \*\*/ /g' -e 's/:.*//' -e 's/\*\*.*/,/p' supportedsites.md >> debian/control.new)

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$//" \
https://github.com/yt-dlp/yt-dlp/releases \
     (?:.*?/)([\d\.]+)\.tar\.gz debian uupdate

## yt-dlp 2021.12.27

=== Makefile ===
--- 
+++ 
@@ -13,10 +13,10 @@
 .PHONY: all clean install test tar pypi-files completions ot offlinetest codetest supportedsites
 
 clean-test:
-	rm -rf *.3gp *.annotations.xml *.ape *.avi *.description *.dump *.flac *.flv *.frag *.frag.aria2 *.frag.urls \
-	*.info.json *.jpeg *.jpg *.live_chat.json *.m4a *.m4v *.mkv *.mp3 *.mp4 *.ogg *.opus *.part* *.png *.sbv *.srt \
-	*.swf *.swp *.ttml *.vtt *.wav *.webm *.webp *.mhtml *.mov *.unknown_video *.desktop *.url *.webloc *.ytdl \
-	test/testdata/player-*.js tmp/
+	rm -rf test/testdata/player-*.js tmp/ *.annotations.xml *.aria2 *.description *.dump *.frag \
+	*.frag.aria2 *.frag.urls *.info.json *.live_chat.json *.part* *.unknown_video *.ytdl \
+	*.3gp *.ape *.avi *.desktop *.flac *.flv *.jpeg *.jpg *.m4a *.m4v *.mhtml *.mkv *.mov *.mp3 \
+	*.mp4 *.ogg *.opus *.png *.sbv *.srt *.swf *.swp *.ttml *.url *.vtt *.wav *.webloc *.webm *.webp
 clean-dist:
 	rm -rf yt-dlp.1.temp.md yt-dlp.1 README.txt MANIFEST build/ dist/ .coverage cover/ yt-dlp.tar.gz completions/ \
 	yt_dlp/extractor/lazy_extractors.py *.spec CONTRIBUTING.md.tmp yt-dlp yt-dlp.exe yt_dlp.egg-info/ AUTHORS .mailmap

=== debian/changelog ===
yt-dlp (2021.12.27-1~mx21+1) mx; urgency=medium

  * Get sources from Sid instead of OBS, and rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 30 Dec 2021 15:36:23 -0800

=== debian/control ===
Source: yt-dlp
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Unit 193 <unit193@unit193.net>
Section: web
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               pandoc,
               python3-pkg-resources,
               python3-pytest <!nocheck>,
               python3-setuptools,
               zip
Build-Depends-Indep: python3
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://github.com/yt-dlp/yt-dlp
Vcs-Browser: https://git.unit193.net/cgit/users/unit193/yt-dlp.git
Vcs-Git: https://git.unit193.net/cgit/users/unit193/yt-dlp.git

Package: yt-dlp
Architecture: all
Depends: aria2 | wget | curl,
         ca-certificates,
         ffmpeg,
         python3-pkg-resources,
         python3-pycryptodome,
         python3-pyxattr,
         rtmpdump,
         ${misc:Depends},
         ${python3:Depends}
Recommends: mpv | mplayer
Suggests: libfribidi-bin | bidiv, phantomjs
Provides: youtube-dl
Replaces: youtube-dl
Breaks: youtube-dl
Description: downloader of videos from YouTube and other sites
 yt-dlp is a youtube-dl fork based on the now inactive youtube-dlc.
 The main focus of this project is adding new features and patches
 while also keeping up to date with the original project.
 .
 yt-dlp is a small command-line program to download videos from
 YouTube.com and other sites that don't provide direct links to the
 videos served.
 .
 yt-dlp allows the user, among other things, to choose a specific video
 quality to download (if available) or let the program automatically
 determine the best (or worst) quality video to grab. It supports
 downloading entire playlists and all videos from a given user.
 .
 Currently supported sites (or features of sites) are:
 .
 17live, 1tv, 20min, 220.ro, 23video, 247sports, 24video, 3qsdn, 3sat,
 4tube, 56.com, 5min, 6play, 7plus, 8tracks, 91porn, 9c9media, 9gag,
 9now.com.au, abc.net.au, abcnews, abcotvs, acast, ADN, AdobeConnect,
 adobetv, AdultSwim, aenetworks, afreecatv, AirMozilla, AliExpressLive,
 AlJazeera, Allocine, AlphaPorno, Alura, AluraCourse, Amara, AmazonStore,
 AMCNetworks, AmericasTestKitchen, AmericasTestKitchenSeason,
 anderetijden, AnimalPlanet, AnimeLab, AnimeLabShows, AnimeOnDemand,
 Anvato, aol.com, APA, Aparat, AppleConnect, AppleDaily, ApplePodcasts,
 appletrailers, archive.org, ArcPublishing, ARD, ARDBetaMediathek,
 Arkena, arte.sky.it, ArteTV, ArteTVEmbed, ArteTVPlaylist, AsianCrush,
 AsianCrushPlaylist, AtresPlayer, ATTTechChannel, ATVAt, AudiMedia,
 AudioBoom, audiomack, Audius, AWAAN, AZMedien, BaiduVideo, bandaichannel,
 Bandcamp, BandcampMusic, bangumi.bilibili.com, BannedVideo, bbc,
 bbc.co.uk, BBVTV, Beatport, Beeg, BehindKink, Bellator, BellMedia, Bet,
 bfmtv, BibelTV, Bigflix, Bild, BiliBili, Bilibili category extractor,
 BilibiliAudio, BilibiliAudioAlbum, BilibiliChannel, BiliBiliPlayer,
 BiliBiliSearch, BiliIntl, BiliIntlSeries, BioBioChileTV, Biography,
 BIQLE, BitChute, BitChuteChannel, BlackboardCollaborate, BleacherReport,
 BleacherReportCMS, blogger.com, Bloomberg, BokeCC, BongaCams,
 BostonGlobe, Box, Bpb, BR, BravoTV, Break, BreitBart, BRMediathek,
 BusinessInsider, BuzzFeed, BYUtv, CableAV, CAM4, Camdemy, CamdemyFolder,
 CamModels, CamWithHer, CanalAlpha, canalc2.tv, Canalplus, Canvas,
 CanvasEen, CarambaTV, CarambaTVPage, CartoonNetwork, cbc.ca, CBS,
 CBSInteractive, CBSLocal, CBSLocalArticle, cbsnews, cbssports, CCMA,
 CCTV, CDA, CeskaTelevize, CGTN, channel9, CharlieRose, Chaturbate,
 Chilloutzone, Chingari, ChingariUser, chirbit, cielotv.it, Cinchcast,
 Cinemax, CiscoLiveSearch, CiscoLiveSession, ciscowebex, CJSW, cliphunter,
 Clippit, ClipRs, Clipsyndicate, CloserToTruth, CloudflareStream,
 Cloudy, Clubic, Clyp, cmt.com, CNBC, CNBCVideo, CNN, CNNArticle,
 CNNBlogs, ComedyCentral, ComedyCentralTV, CondeNast, CONtv, Corus, Coub,
 CozyTV, cp24, Cracked, Crackle, CrooksAndLiars, crunchyroll, CSpan,
 CtsNews, CTV, CTVNews, cu.ntv.co.jp, CultureUnplugged, curiositystream,
 CWTV, DagelijkseKost, DailyMail, dailymotion, daum.net, DBTV, DctpTv,
 DeezerAlbum, DeezerPlaylist, defense.gouv.fr, democracynow, DHM, Digg,
 DigitallySpeaking, Digiteka, Discovery, DiscoveryGo, DiscoveryGoPlaylist,
 DiscoveryNetworksDe, DiscoveryPlus, DiscoveryPlusIndia,
 DiscoveryPlusIndiaShow, DiscoveryPlusItaly, DiscoveryPlusItalyShow,
 DiscoveryVR, Disney, DIYNetwork, DoodStream, Dotsub, Douyin, DouyuShow,
 DouyuTV, DPlay, DRBonanza, Dropbox, Dropout, DropoutSeason, DrTuber,
 drtv, DTube, duboku, Dumpert, dvtv, dw, EaglePlatform, EbaumsWorld,
 EchoMsk, ehftv, eHow, EinsUndEinsTV, Einthusan, eitb.tv, EllenTube,
 EllenTubePlaylist, EllenTubeVideo, Elonet, ElPais, Embedly, EMPFlix,
 Engadget, Epicon, EpiconSeries, Eporner, EroProfile, Escapist, ESPN,
 ESPNArticle, ESPNCricInfo, EsriVideo, Europa, EUScreen, EWETV, ExpoTV,
 Expressen, ExtremeTube, EyedoTV, facebook, FacebookPluginsVideo, faz.net,
 fc2, Fczenit, Filmmodu, filmon, Filmweb, FiveThirtyEight, FiveTV, Flickr,
 Folketinget, FootyRoom, Formula1, FOX, FOX9, FOX9News, Foxgay, foxnews,
 FoxSports, FranceCulture, FranceInter, FranceTV, francetvinfo.fr,
 FranceTVSite, Freesound, freespeech.org, FreshLive, FrontendMasters,
 FrontendMastersCourse, FrontendMastersLesson, FujiTVFODPlus7,
 Funimation, Funk, Fusion, Fux, Gab, GabTV, Gaia, GameInformer,
 GameJolt, GameJoltCommunity, GameJoltGame, GameJoltGameSoundtrack,
 GameJoltSearch, GameJoltUser, GameSpot, GameStar, Gaskrank, Gazeta,
 GDCVault, GediDigital, gem.cbc.ca, generic, Gettr, Gfycat, GiantBomb,
 Giga, GlattvisionTV, Glide, Globo, GloboArticle, Go, GodTube, Gofile,
 Golem, GoogleDrive, GoPro, Goshgay, GoToStage, GPUTechConf, Gronkh,
 Groupon, hbo, HearThisAt, Heise, HellPorno, Helsinki, HentaiStigma,
 hetklokhuis, HGTVDe, HiDive, HistoricFilms, hitbox, HitRecord, hketv,
 HornBunny, HotNewHipHop, hotstar, Howcast, HowStuffWorks, hrfernsehen,
 HRTi, HRTiPlaylist, HSEProduct, HSEShow, Huajiao, HuffPost, Hungama,
 HungamaAlbumPlaylist, HungamaSong, Hypem, ign.com, IGNArticle, IGNVideo,
 IHeartRadio, imdb, Imgur, Ina, Inc, IndavideoEmbed, InfoQ, Instagram,
 InstagramIOS, Internazionale, InternetVideoArchive, IPrima, IPrimaCNN,
 iqiyi, Ir90Tv, ITTF, ITV, ITVBTCC, ivi, ivideon, Iwara, Izlesene,
 Jamendo, JamendoAlbum, JeuxVideo, Joj, Jove, JWPlatform, Kakao,
 Kaltura, Kankan, Karaoketv, KarriereVideos, Katsomo, KeezMovies, Ketnet,
 khanacademy, KickStarter, KinjaEmbed, KinoPoisk, KonserthusetPlay, Koo,
 KrasView, Ku6, KUSI, la7.it, laola1tv, lbry, LCI, Lcp, LcpPlay, Le,
 Lecture2Go, Lecturio, LecturioCourse, LecturioDeCourse, LEGO, Lemonde,
 Lenta, LePlaylist, LetvCloud, Libsyn, life, limelight, LineLive,
 LineLiveChannel, LineTV, LinkedIn, LinuxAcademy, LiTV, LiveJournal,
 livestream, LnkGo, loc, LocalNews8, LoveHomePorn, lrt.lt, lynda, m6,
 MagentaMusik360, mailru, MallTV, ManotoTV, ManotoTVLive, ManotoTVShow,
 ManyVids, MaoriTV, Markiza, MarkizaPage, massengeschmack.tv, MatchTV,
 MDR, MedalTV, media.ccc.de, Mediaite, MediaKlikk, Medialaan, Mediaset,
 MediasetShow, Mediasite, MediasiteCatalog, MediasiteNamedCatalog, Medici,
 megaphone.fm, Meipai, MelonVOD, META, metacafe, Metacritic, mewatch,
 Mgoon, MGTV, MiaoPai, microsoftstream, mildom, minds, MinistryGrid,
 Minoto, miomio.tv, mirrativ, MiTele, mixch, mixcloud, MLB, MLBVideo,
 MLSSoccer, Mnet, MNetTV, MoeVideo, Mofosex, MofosexEmbed, Mojvideo,
 Morningstar, Motherless, MotherlessGroup, Motorsport, MovieClips,
 MovieFap, Moviezine, MovingImage, MSN, mtg, mtv, mtv.de, mtv.it,
 mtvjapan, MTVUutisetArticle, MuenchenTV, MuseScore, mva, Mwave,
 MwaveMeetGreet, Mxplayer, MxplayerShow, MyChannels, MySpace,
 MySpass, Myvi, MyVideoGe, MyVidster, MyviEmbed, MyVisionTV, n-tv.de,
 N1InfoAsset, Nate, NateProgram, NationalGeographicTV, Naver, NBA,
 NBAChannel, NBAEmbed, NBAWatchEmbed, NBC, NBCNews, nbcolympics,
 NBCSports, NBCSportsStream, NBCSportsVPlayer, ndr, NDTV, Nebula,
 NerdCubedFeed, NetPlus, Netzkino, Newgrounds, Newstube, NextMedia,
 NextMediaActionNews, NextTV, Nexx, NexxEmbed, NFHSNetwork, nfl.com,
 NhkVod, NhkVodProgram, nhl.com, nick.com, nick.de, nickelodeonru,
 nicknight, niconico, NiconicoPlaylist, NiconicoUser, Nintendo, Nitter,
 njoy, NJPWWorld, NobelPrize, NonkTube, Noovo, Normalboots, NosVideo,
 Nova, NovaEmbed, NovaPlay, nowness, Noz, npo, Npr, NRK, NRKPlaylist,
 NRKRadioPodkast, NRKSkole, NRKTV, NRKTVDirekte, NRKTVEpisode,
 NRKTVEpisodes, NRKTVSeason, NRKTVSeries, NRLTV, ntv.ru, Nuvid, NYTimes,
 NYTimesArticle, NYTimesCooking, nzherald, NZZ, ocw.mit.edu, OdaTV,
 Odnoklassniki, OktoberfestTV, OlympicsReplay, on24, OnDemandKorea,
 OneFootball, onet.pl, onet.tv, OnetMVP, OnionStudios, Ooyala,
 OoyalaExternal, Opencast, OpencastPlaylist, openrec, OraTV, OsnatelTV,
 OutsideTV, PacktPub, PacktPubCourse, pandora.tv, ParamountNetwork,
 ParamountPlus, ParamountPlusSeries, parliamentlive.tv, Parlview,
 Patreon, PatreonUser, pbs, PearVideo, peer.tv, PeerTube, peloton, People,
 PerformGroup, periscope, PhilharmonieDeParis, phoenix.de, Photobucket,
 Picarto, PicartoVod, Piksel, Pinkbike, Pinterest, PinterestCollection,
 Pladform, PlanetMarathi, Platzi, PlatziCourse, play.fm, player.sky.it,
 PlayPlusTV, PlayStuff, PlaysTV, Playtvak, Playvid, Playwire, pluralsight,
 PlutoTV, podomatic, Pokemon, PokemonWatch, PolsatGo, PolskieRadio,
 PolskieRadioCategory, Popcorntimes, PopcornTV, PornCom, PornerBros,
 PornFlip, PornHd, PornHub, PornHubPagedVideoList, PornHubPlaylist,
 PornHubUser, PornHubUserVideosUpload, Pornotube, PornoVoisines, PornoXO,
 PornTube, PressTV, ProjectVeritas, prosiebensat1, puhutv, Puls4, Pyvideo,
 qqmusic, QuantumTV, Qub, Quickline, QuicklineLive, R7, R7Article, Radiko,
 RadikoRadio, radio.de, radiobremen, radiocanada, radiofrance, RadioJavan,
 radiokapital, RadioZetPodcast, radlive, Rai, RaiPlay, RaiPlayLive,
 RaiPlayPlaylist, RaiPlayRadio, RaiPlayRadioPlaylist, RayWenderlich,
 RayWenderlichCourse, RBMARadio, RCS, RCSEmbeds, RCSVarious, RCTIPlus,
 RCTIPlusSeries, RCTIPlusTV, RDS, RedBull, RedBullEmbed, RedBullTV,
 RedBullTVRrnContent, Reddit, RedGifs, RedGifsSearch, RedGifsUser,
 RedTube, RegioTV, RENTV, RENTVArticle, Restudy, Reuters, ReverbNation,
 RICE, RMCDecouverte, RockstarGames, RoosterTeeth, RoosterTeethSeries,
 RottenTomatoes, Roxwel, Rozhlas, RTBF, rte, rtl.nl, rtl2, RTP,
 RTRFM, RTS, RTVNH, RTVS, RUHD, RumbleChannel, RumbleEmbed, rutube,
 RUTV, Ruutu, Ruv, safari, Saitosan, SAKTV, SaltTV, SampleFocus,
 Sapo, savefrom.net, SBS, schooltv, ScienceChannel, Screencast,
 ScreencastOMatic, ScrippsNetworks, SCTE, SCTECourse, Seeker, SenateGov,
 SenateISVP, SendtoNews, Servus, Sexu, SeznamZpravy, SeznamZpravyArticle,
 Shahid, ShahidShow, Shared, ShemarooMe, ShowRoomLive, simplecast, Sina,
 Skeb, sky.it, skyacademy.it, SkylineWebcams, SkyNewsAU, Slideshare,
 SlidesLive, Slutload, Snotr, Sohu, SonyLIV, SonyLIVSeries,
 soundcloud, SoundcloudEmbed, soundgasm, southpark.cc.com,
 southpark.de, southpark.nl, southparkstudios.dk, SovietsCloset,
 SovietsClosetPlaylist, SpankBang, SpankBangPlaylist, Spankwire, Spiegel,
 Sport5, SportBox, SportDeutschland, spotify, Spreaker, SpreakerPage,
 SpreakerShow, SpreakerShowPage, SpringboardPlatform, Sprout, SRGSSR,
 SRGSSRPlay, stanfordoc, startv, Steam, Stitcher, StitcherShow,
 StoryFire, StoryFireSeries, StoryFireUser, Streamable, Streamanity,
 streamcloud.eu, StreamCZ, StreamFF, StreetVoice, StretchInternet,
 Stripchat, SunPorno, SVT, SVTPage, SVTPlay, SVTSeries, SWRMediathek,
 Syfy, SztvHu, t-online.de, Tagesschau, Tass, TBS, TDSLifeway, Teachable,
 TeachableCourse, teachertube, TeachingChannel, Currently supported sites (or features of sites) are:
  Teamcoco, TeamTreeHouse,
 TechTalks, techtv.mit.edu, ted, Tele13, Tele5, TeleBruxelles,
 Telecinco, Telegraaf, TeleMB, Telemundo, TeleQuebec, TeleQuebecEmission,
 TeleQuebecLive, TeleQuebecSquat, TeleQuebecVideo, TeleTask, Telewebion,
 TennisTV, TenPlay, TF1, TFO, TheIntercept, ThePlatform, ThePlatformFeed,
 TheScene, TheStar, TheSun, ThetaStream, ThetaVideo, TheWeatherChannel,
